
RequesterTextFont = {
    "fonts/arial.mvec",
    15,
    Color(255,255,255,255)
};

RequesterTitleFont = {
    "fonts/arial.mvec",
    25,
    Color(255,255,255,255)
};

SpecialRequesterTitleFont = {
    "fonts/arial.mvec",
    30,
    Color(255,255,255,255)
};

SmallerSpecialRequesterTitleFont = {
    "fonts/arial.mvec",
    20,
    Color(255,255,255,255)
};

RequesterButtonFont = {
    "fonts/arial.mvec",
    25,
    Color(255,255,255,255)
};

RequesterButtonGraphics = {
    "buttons/dummy.png",
    "buttons/dummy.png",
    "buttons/dummy.png",
};
NewButtonGraphics = {
    "buttons/dummy.png",
    "buttons/dummy.png",
    "buttons/dummy.png",
};

kIllegalNameChars = "!@#$%^&*()><\\\"\'[]{}|?/+=~`.,;:-_";

-- Height of the original head: 78. New: 137. Delta: 59
-- Border x offset of the original requesters: 14 New: 64 Delta: 50


function requester_background( size, color, options )

   local count = 1
   if size > 96 then
       count = ceil( ( size - 96 ) / 8 ) + 1
   end

   local result = {}

   if options == "better" then 
       result[ 1 ] = Bitmap { x =kCenter, y = 0, w = 496, h = 137, image = "images/prop_top_" .. color .. "_better.png" }
   else
       result[ 1 ] = Bitmap { x =kCenter, y = 0, w = 496, h = 137, image = "images/prop_top_" .. color .. ".png" }
   end

   for i = 1, count do
      result[ 1 + i ] = Bitmap { x =kCenter, y = 137 + ( ( i - 1 ) * 8 ), w = 496, h = 8, image = "images/prop_middle_" .. color .. ".png" }
   end
   result[ 1 + count + 1 ] = Bitmap { x =kCenter, y = 137 + ( count * 8 ), w = 496, h = 133, image = "images/prop_bottom_" .. color .. ".png" }

   if options == "grandpa" then
       result[ 1 + count + 2 ] = Bitmap { x = 0, y = 0, w = 123, h = 126, image = "images/prop_grandpa.png" }
   end

   return Group( result )

end

function dialog_height( size )
   local count = 1
   if size > 96 then
       count = ceil( ( size - 96 ) / 8 ) + 1
   end
   return 137 + ( count * 8 ) + 133
end

